Page MenuHomePhabricator

Special:Preferences does not redirect to the correct tab if you use the English name at non-English wikis, in Safari
Closed, InvalidPublic

Description

This is split from T110501: redirectToFragment script (redirects to section headers) behaving unreliably.

In Chrome, this link works: https://fr.wikipedia.org/wiki/Special:Préférences#mw-prefsection-betafeatures

In Safari (several versions/couple of years) that link does not work; you end up on the main page of Special:Preferences rather than on the Beta Features page.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2015, 11:34 PM
Aklapper triaged this task as Lowest priority.Sep 1 2015, 10:50 AM

Has this been reported to the Safari developers? I don't really see how this is a MediaWiki bug yet. :)

TheDJ added a subscriber: TheDJ.Sep 1 2015, 11:45 AM

For me it sometimes works in Safari and sometimes not. Therefor, I do not think that this is a browser bug per se. It seems like a race condition to me and that could be in our implementation OR in the browser.

Ah wait, I tested the use case incorrectly I notice. The keyword here is redirect...

This is a known problem: https://bugs.webkit.org/show_bug.cgi?id=24175

TheDJ moved this task from Backlog to Reported Upstream on the Upstream board.Sep 1 2015, 12:17 PM
TheDJ added a comment.Sep 1 2015, 9:43 PM

Allegedly fixed in Mac OS X 10.11 aka El Capitan, according to upstream.

Confirmed, this works fine for me in Safari 9.0 on OS X 10.11 beta.

Nothing to fix on the Wikimedia side so shall this task be closed as invalid?

TheDJ closed this task as Invalid.EditedSep 2 2015, 11:53 AM
TheDJ claimed this task.

Fixed upstream in Mac OS X 10.11 aka El Capitan. Nothing we can do for people on older Mac OS X versions.